Permalink
Browse files

Change version to 1.2.6

  • Loading branch information...
1 parent 9341f21 commit 592a1133a20b83c40caab0c14cbe873f4a763155 Christopher Browne committed Jan 8, 2007
Showing with 12 additions and 9 deletions.
  1. +3 −0 RELEASE-1.2.6
  2. +3 −3 config.h.in
  3. +2 −2 src/backend/slony1_funcs.sql
  4. +4 −4 tools/release_checklist.sh
View
@@ -0,0 +1,3 @@
+$Id: RELEASE-1.2.6,v 1.1.2.1 2007-01-08 17:31:40 cbbrowne Exp $
+
+Release 1.2.6 fixes version numbers.
View
@@ -6,14 +6,14 @@
* Copyright (c) 2003-2004, PostgreSQL Global Development Group
* Author: Jan Wieck, Afilias USA INC.
*
- * $Id: config.h.in,v 1.17.2.2 2006-12-05 23:37:06 cbbrowne Exp $
+ * $Id: config.h.in,v 1.17.2.3 2007-01-08 17:31:40 cbbrowne Exp $
* ----------
*/
#ifndef SLONY_I_CONFIG_H
#define SLONY_I_CONFIG_H
-#define SLONY_I_VERSION_STRING "1.2.2"
-#define SLONY_I_VERSION_STRING_DEC 1,2,2
+#define SLONY_I_VERSION_STRING "1.2.6"
+#define SLONY_I_VERSION_STRING_DEC 1,2,6
#ifndef PG_VERSION_MAJOR
#define PG_VERSION_MAJOR 0
@@ -6,7 +6,7 @@
-- Copyright (c) 2003-2004, PostgreSQL Global Development Group
-- Author: Jan Wieck, Afilias USA INC.
--
--- $Id: slony1_funcs.sql,v 1.98.2.7 2006-12-15 05:26:58 cbbrowne Exp $
+-- $Id: slony1_funcs.sql,v 1.98.2.8 2007-01-08 17:31:40 cbbrowne Exp $
-- ----------------------------------------------------------------------
-- **********************************************************************
@@ -430,7 +430,7 @@ create or replace function @NAMESPACE@.slonyVersionPatchlevel()
returns int4
as '
begin
- return 2;
+ return 6;
end;
' language plpgsql;
comment on function @NAMESPACE@.slonyVersionPatchlevel () is
@@ -1,5 +1,5 @@
#!/bin/sh
-# $Id: release_checklist.sh,v 1.1.2.2 2006-12-05 23:35:54 cbbrowne Exp $
+# $Id: release_checklist.sh,v 1.1.2.3 2007-01-08 17:31:40 cbbrowne Exp $
# This script runs through what it can of the release checklist
# run via: "sh tools/release_checklist.sh"
@@ -12,7 +12,7 @@ MAJOR=`echo $VERSTRING | cut -d '.' -f 1`
MINOR=`echo $VERSTRING | cut -d '.' -f 2`
PATCHLEVEL=`echo $VERSTRING | cut -d '.' -f 3`
-echo "Slony-I version: ${VERSTRING} - Major=${MAJOR} Minor=${MINOR} Patchlevel=${PATCHLEVEL}"
+echo "Slony-I version: ${VERSTRING} - Major=${MAJOR} Minor=${MINOR} Patchlevel=${PATCHLEVEL} per config.h.in"
VERCOMMA="${MAJOR},${MINOR},${PATCHLEVEL}"
if [[ `egrep "#define SLONY_I_VERSION_STRING_DEC ${VERCOMMA}\$" config.h.in` ]]; then
@@ -27,12 +27,12 @@ VERUNDERSCORE="${MAJOR}_${MINOR}_${PATCHLEVEL}"
if [[ `egrep "^PACKAGE_VERSION=${VERUNDERSCORE=}\$" configure` ]]; then
echo "configure PACKAGE_VERSION matches ${VERUNDERSCORE}"
else
- echo "ERROR: configure PACKAGE_VERSION does not match ${VERUNDERSCORE}"
+ echo "ERROR: PACKAGE_VERSION in configure does not match ${VERUNDERSCORE}"
egrep "PACKAGE_VERSION\=" configure
fi
if [[ `egrep "^PACKAGE_STRING=postgresql-slony1-engine ${VERUNDERSCORE=}\$" configure` ]]; then
- echo "configure PACKAGE_STRING matches ${VERUNDERSCORE}"
+ echo "PACKAGE_STRING in configure matches ${VERUNDERSCORE}"
else
echo "ERROR: configure PACKAGE_STRING does not match ${VERUNDERSCORE}"
egrep "PACKAGE_STRING\=" configure

0 comments on commit 592a113

Please sign in to comment.